Debian Bug report logs - #538776
hang/freeze on webpages with many (1000s) of checkboxes

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: "Edward J. Shornock" <ed.shornock@gmail.com>

Date: Sun, 26 Jul 2009 22:00:01 UTC

Severity: normal

Tags: experimental, fixed, fixed-upstream, upstream

Found in versions iceweasel/3.5.1-1, 3.5.2-1

Fixed in version 3.5.3-1

Done: "Edward J. Shornock" <ed.shornock@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=477564

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#538776; Package iceweasel. (Sun, 26 Jul 2009 22:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Edward J. Shornock" <ed.shornock@gmail.com>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. (Sun, 26 Jul 2009 22:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Edward J. Shornock" <ed.shornock@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iceweasel: hang/freeze on webpages with a many (1000s) of checkboxes
Date: Mon, 27 Jul 2009 00:56:47 +0300
[Message part 1 (text/plain, inline)]
Package: iceweasel
Version: 3.5.1-1
Severity: normal

tags experimental upstream
forwarded https://bugzilla.mozilla.org/show_bug.cgi?id=477564


As is reported at upstream bug #477564, webpages with lots of checkboxes
will cause Firefox, erhm, Iceweasel 3.5 to hang.

https://bugzilla.mozilla.org/show_bug.cgi?id=477564

The patch included with the upstream report (and attached here) fixes the hangs for me.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30.2-tuxonice (SMP w/2 CPU cores)
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iceweasel depends on:
ii  debianutils                   3.2        Miscellaneous utilities specific t
ii  fontconfig                    2.6.0-4    generic font configuration library
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  libglib2.0-0                  2.20.4-1   The GLib library of C routines
ii  libgtk2.0-0                   2.16.5-1   The GTK+ graphical user interface 
ii  libnspr4-0d                   4.8-1      NetScape Portable Runtime Library
ii  libstdc++6                    4.4.0-5    The GNU Standard C++ Library v3
ii  procps                        1:3.2.8-1  /proc file system utilities
ii  psmisc                        22.8-1     utilities that use the proc file s
ii  xulrunner-1.9.1               1.9.1.1-1  XUL + XPCOM application runner

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  latex-xft-fonts      1.6.3-4             TrueType versions of some TeX font
ii  libkrb53             1.6.dfsg.4~beta1-13 Transitional library package/krb4 
pn  mozplugger           <none>              (no description available)
ii  ttf-mathematica4.1   8                   Installer of Mathematica TrueType 
ii  xfonts-mathml        2                   Type1 Symbol font for MathML
ii  xprint               2:1.4.2-11          X11 print system (binary)
ii  xulrunner-1.9.1-gnom 1.9.1.1-1           Support for GNOME in xulrunner app

-- no debconf information
[hang-fix.patch (text/x-diff, attachment)]

Set Bug forwarded-to-address to 'https://bugzilla.mozilla.org/show_bug.cgi?id=477564'. Request was from Edward J. Shornock <ed.shornock@gmail.com> to control@bugs.debian.org. (Sun, 26 Jul 2009 22:15:06 GMT) Full text and rfc822 format available.

Added tag(s) upstream and experimental. Request was from Edward J. Shornock <ed.shornock@gmail.com> to control@bugs.debian.org. (Sun, 26 Jul 2009 22:21:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 27 Jul 2009 07:46:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'hang/freeze on webpages with many (1000s) of checkboxes' from 'iceweasel: hang/freeze on webpages with a many (1000s) of checkboxes' Request was from Edward J. Shornock <ed.shornock@gmail.com> to control@bugs.debian.org. (Tue, 28 Jul 2009 14:48:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 3.5.2-1. Request was from Edward J. Shornock <ed.shornock@gmail.com> to control@bugs.debian.org. (Thu, 20 Aug 2009 19:54:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 3.5.3-1. Request was from Edward J. Shornock <ed.shornock@gmail.com> to control@bugs.debian.org. (Sat, 12 Sep 2009 02:42:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed. Request was from Edward J. Shornock <ed.shornock@gmail.com> to control@bugs.debian.org. (Sat, 12 Sep 2009 02:48:02 GMT) Full text and rfc822 format available.

Reply sent to "Edward J. Shornock" <ed.shornock@gmail.com>:
You have taken responsibility. (Sat, 12 Sep 2009 02:51:04 GMT) Full text and rfc822 format available.

Notification sent to "Edward J. Shornock" <ed.shornock@gmail.com>:
Bug acknowledged by developer. (Sat, 12 Sep 2009 02:51:04 GMT) Full text and rfc822 format available.

Message #24 received at 538776-done@bugs.debian.org (full text, mbox):

From: "Edward J. Shornock" <ed.shornock@gmail.com>
To: Debian Bug Tracking System <538776-done@bugs.debian.org>
Subject: Re: hang/freeze on webpages with a many (1000s) of checkboxes
Date: Sat, 12 Sep 2009 05:50:20 +0300
[Message part 1 (text/plain, inline)]
Package: iceweasel
Severity: normal
version: 3.5.3-1

Thanks Eric for the quick releases. :)

Closing as fixed (unless I screw this up).
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Oct 2009 07:38:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:57:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.